mtext_copy(3m17n)

NAME
mtext_copy - Copy characters in the specified range into an M-text.

SYNOPSIS
MText* mtext_copy (MText * mt1, int pos, MText * mt2, int from, int to)

DESCRIPTION
Copy characters in the specified range into an M-text.

The mtext_copy() function copies the text between from (inclusive) and to (exclusive) in M-text mt2 to the region starting at pos in M-text mt1 while inheriting the text properties. The old text in mt1 is overwritten and the length of mt1 is extended if necessary. mt2 is not modified.

RETURN VALUE

    If the operation was successful, mtext_copy() returns a pointer to the modified mt1. Otherwise, it returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_cpy(), mtext_ncpy()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.